Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.tags
Class IterateViewIteratorTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              com.beasys.commerce.ebusiness.catalog.tags.IterateViewIteratorTag

All Implemented Interfaces
  Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Deprecated

    @Deprecated
    public class IterateViewIteratorTag

extends javax.servlet.jsp.tagext.BodyTagSupport

See Also
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`IterateViewIteratorTag()` Deprecated

Method Summary
`int` | `doAfterBody()` Deprecated Called when the end of the tag is reached.
`int` | `doStartTag()` Deprecated Called when the tag starts.
`String` | `getId()` Deprecated Get the value of the id.
`boolean` | `getIterateByView()` Deprecated Get the value of iterateByView.
`ViewIterator` | `getIterator()` Deprecated Get the value of the iterator.
`String` | `getReturnType()` Deprecated Get the value of returnType.
`void` | `release()` Deprecated
`void` | `setId(String id)` Deprecated Set the value of the id.
`void` | `setIterateByView(boolean iterateByView)` Deprecated Set the value of iterateByView.
`void` | `setIterator(ViewIterator iterator)` Deprecated Set the value of the iterator.
`void` | `setReturnType(String returnType)` Deprecated Set the value of returnType.

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doEndTag, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### IterateViewIteratorTag

    public IterateViewIteratorTag()

  Deprecated

Method Detail

### setIterator

    public void setIterator(ViewIterator iterator)

  Deprecated
  Set the value of the iterator.

  Parameters
    `iterator` - Value to assign to iterator.

### getIterator

    public ViewIterator getIterator()

  Deprecated
  Get the value of the iterator.

  Returns
    Value of the iditerator

### setId

    public void setId(String id)

  Deprecated
  Set the value of the id.

  Overrides:
    `setId` in class `javax.servlet.jsp.tagext.TagSupport`
  Parameters
    `id` - Value to assign to id.

### getId

    public String getId()

  Deprecated
  Get the value of the id.

  Overrides:
    `getId` in class `javax.servlet.jsp.tagext.TagSupport`
  Returns
    Value of the id.

### getReturnType

    public String getReturnType()

  Deprecated
  Get the value of returnType.

  Returns
    Value of returnType.

### setReturnType

    public void setReturnType(String returnType)

  Deprecated
  Set the value of returnType.

  Parameters
    `returnType` - Value to assign to returnType.

### setIterateByView

    public void setIterateByView(boolean iterateByView)

  Deprecated
  Set the value of iterateByView.

  Parameters
    `iterateByView` - Value to assign to iterateByView.

### getIterateByView

    public boolean getIterateByView()

  Deprecated
  Get the value of iterateByView.

  Returns
    Value of iterateByView.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Deprecated
  Called when the tag starts.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws
    `javax.servlet.jsp.JspException`

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

  Deprecated
  Called when the end of the tag is reached.

  Specified by:
    `doAfterBody` in interface `javax.servlet.jsp.tagext.IterationTag`
  Overrides:
    `doAfterBody` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws
    `javax.servlet.jsp.JspException`

### release

    public void release()

  Deprecated
  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.BodyTagSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.